Qt Reference Documentation

# Qt 3 Support Members for QDialog

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QDialog class reference

## Public Functions

| QDialog ( QWidget * parent, const char * name, bool modal = false, Qt::WindowFlags f = 0 )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QDialog::QDialog ( QWidget * parent, const char * name, bool modal = false, Qt::WindowFlags f = 0 )

This is an overloaded function.